Name: shiboken
Version: 1.1.0
Release: %mkrel 1
License: GPLv2
Summary: Creates the PySide bindings source files
Group: Development/KDE and Qt
URL: http://www.pyside.org
Source0:  http://www.pyside.org/files/%name-%{version}.tar.bz2
BuildRequires: cmake
BuildRequires: qt4-devel
BuildRequires: apiextractor-devel >= 0.10.10
BuildRequires: generatorrunner-devel >= 0.6.16
BuildRequires: python-devel

%description
The Shiboken Generator (A.K.A. shiboken) is the plugin that creates the
PySide bindings source files from Qt headers and auxiliary files
(typesystems, global.h and glue files).

%files 
%defattr(-,root,root,-)
%{_bindir}/%{name}
%{_mandir}/man1/*
%{_libdir}/generatorrunner/shiboken_generator.so

#------------------------------------------------------------------------------

%define libmajor 1
%define libname %mklibname %name %{libmajor}

%package -n %{libname}
Summary: Shiboken Generator core lib
Group: System/Libraries

%description -n %{libname}
Shiboken Generator core lib.

%files -n %{libname}
%defattr(-,root,root)
%{_libdir}/lib%{name}-python%{py_ver}.so.%{libmajor}*

#------------------------------------------------------------------------------

%package devel
Summary: Devel stuff for Shiboken Generator
Group: Development/KDE and Qt
Requires: %{libname} = %{version}
Requires: %name = %{version}

%description devel
Devel stuff for Shiboken Generator.

%files devel
%defattr(-,root,root)
%{_includedir}/%{name}
%{_libdir}/*.so
%{_libdir}/pkgconfig/*.pc
%{_libdir}/cmake/*

#------------------------------------------------------------------------------

%prep
%setup -qn %{name}-%{version}

%build
%cmake
%make

%install
rm -rf %{buildroot}
%makeinstall_std -C build


%changelog

* Sat Jan 07 2012 fwang <fwang> 1.1.0-1.mga2
+ Revision: 192833
- new version 1.1.0

* Tue Dec 06 2011 fwang <fwang> 1.0.10-1.mga2
+ Revision: 177232
- new version 1.0.10

* Thu Oct 27 2011 fwang <fwang> 1.0.9-1.mga2
+ Revision: 158549
- new version 1.0.9

* Tue Oct 25 2011 fwang <fwang> 1.0.8-1.mga2
+ Revision: 157949
- new version 1.0.8

* Sun Sep 25 2011 fwang <fwang> 1.0.7-1.mga2
+ Revision: 147673
- new version 1.0.7
- new version 1.0.6
- new version 1.0.5

* Mon Jun 27 2011 fwang <fwang> 1.0.4-1.mga2
+ Revision: 114439
- new version 1.0.4

* Thu Mar 24 2011 boklm <boklm> 1.0.0-2.mga1
+ Revision: 76209
- rebuild for bug #497

* Mon Mar 07 2011 mikala <mikala> 1.0.0-1.mga1
+ Revision: 66185
- Update tarball to 1.0.0

* Sat Mar 05 2011 mikala <mikala> 1.0.0-0.rc1.1.mga1
+ Revision: 64966
- Drop BuildRoot
- imported package shiboken


* Sun Feb 27 2011 Funda Wang <fwang@mandriva.org> 1.0.0-0.rc1.1mdv2011.0
+ Revision: 640592
- New version 1.0 rc1

* Fri Feb 04 2011 Funda Wang <fwang@mandriva.org> 1.0.0-0.beta5.1
+ Revision: 635748
- New version 1.0.0 beta5

* Sat Jan 29 2011 Funda Wang <fwang@mandriva.org> 1.0.0-0.beta4.1
+ Revision: 633829
- update file list
- 1.0 beta4

* Wed Jan 19 2011 Funda Wang <fwang@mandriva.org> 1.0.0-0.beta3.1
+ Revision: 631674
- new version 1.0.0 beta3

* Mon Dec 20 2010 Funda Wang <fwang@mandriva.org> 1.0.0-0.beta2.1mdv2011.0
+ Revision: 623332
- new version 1.0 beta2

* Sat Nov 27 2010 Funda Wang <fwang@mandriva.org> 1.0.0-0.beta1.1mdv2011.0
+ Revision: 601836
- update file list
- 1.0.0 beta1

* Wed Nov 03 2010 Funda Wang <fwang@mandriva.org> 0.5.1-2mdv2011.0
+ Revision: 592796
- rebuild for py2.7

* Thu Oct 14 2010 Funda Wang <fwang@mandriva.org> 0.5.1-1mdv2011.0
+ Revision: 585679
- new version 0.5.1

* Thu Sep 23 2010 Funda Wang <fwang@mandriva.org> 0.5.0-1mdv2011.0
+ Revision: 580650
- fix str fmt
- new version 0.5.0

* Thu Aug 05 2010 Funda Wang <fwang@mandriva.org> 0.4.0-1mdv2011.0
+ Revision: 566421
- import shiboken


